Summary: Practical Extraction and Report Language
Name: perl
Version: 5.004
Release: 1
Copyright: GPL
Group: Utilities/Text
Source: ftp://ftp.funet.fi/pub/languages/perl/CPAN/src/5.0/perl5.004_01.tar.gz
Requires: csh
BuildRoot: /var/tmp/perl-root

%description
Perl is an interpreted language optimized for scanning arbitrary text
files, extracting information from those text files, and printing reports
based on that information.  It's also a good language for many system
management tasks.  The language is intended to be practical (easy to use,
efficient, complete) rather than beautiful (tiny, elegant, minimal).

%changelog

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>

- fixed arch-specfic part of spec file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- updated to perl 5.004_01
- users a build root

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>

- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>

1) Use -Darchname=i386-linux 
2) Require csh (for glob)
3) Use RPM_ARCH during configuration and installation for arch independence

%prep
%setup -q -n perl5.004_01

%build
# this is gross
cat > config.over <<EOF
installprefix=$RPM_BUILD_ROOT/usr
test -d \$installprefix || mkdir \$installprefix
test -d \$installprefix/bin || mkdir \$installprefix/bin
installarchlib=\`echo \$installarchlib | sed "s!\$prefix!\$installprefix!"\`
installbin=\`echo \$installbin | sed "s!\$prefix!\$installprefix!"\`
installman1dir=\`echo \$installman1dir | sed "s!\$prefix!\$installprefix!"\`
installman3dir=\`echo \$installman3dir | sed "s!\$prefix!\$installprefix!"\`
installprivlib=\`echo \$installprivlib | sed "s!\$prefix!\$installprefix!"\`
installscript=\`echo \$installscript | sed "s!\$prefix!\$installprefix!"\`
installsitelib=\`echo \$installsitelib | sed "s!\$prefix!\$installprefix!"\`
installsitearch=\`echo \$installsitearch | sed "s!\$prefix!\$installprefix!"\`
EOF

sh Configure -des -Dprefix=/usr -Darchname=${RPM_ARCH}-linux -Dd_dosuid

make

# Strip binaries (done now rather than at install)
strip perl
strip suidperl
strip x2p/a2p

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install
install -m 755 utils/pl2pm $RPM_BUILD_ROOT/usr/bin/pl2pm

(cd /usr/include ; PERL5LIB=$RPM_BUILD_ROOT/usr/lib/perl5 $RPM_BUILD_ROOT/usr/bin/perl $RPM_BUILD_ROOT/usr/bin/h2ph -d $RPM_BUILD_ROOT/usr/lib/perl5/${RPM_ARCH}-linux/5.00401/ *.h sys/*.h linux/*.h asm/*.h net/*.h netinet/*.h arpa/*.h)

# Fix the header file that declares NULL...
sed 's/( \&void \*) //' \
$RPM_BUILD_ROOT/usr/lib/perl5/${RPM_ARCH}-linux/5.00401/linux/posix_types.ph > /tmp/$$.change
mv -f /tmp/$$.change $RPM_BUILD_ROOT/usr/lib/perl5/${RPM_ARCH}-linux/5.00401/linux/posix_types.ph

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/sperl5.00401
/usr/bin/perl5.00401
/usr/bin/suidperl
/usr/bin/perl
/usr/bin/a2p
/usr/bin/c2ph
/usr/bin/pstruct
/usr/bin/s2p
/usr/bin/find2perl
/usr/bin/h2xs
/usr/bin/h2ph
/usr/bin/pl2pm
/usr/bin/perldoc
/usr/bin/pod2man
/usr/bin/pod2html
/usr/bin/pod2latex
/usr/lib/perl5
/usr/man/man1/a2p.1
/usr/man/man1/s2p.1
/usr/man/man1/perl*.1
